# Settlex Flow

Settlex lets you pay per request instead of monthly billing by combining:

* **Settlex API (`/api`)** for onboarding, party setup, API key, and balance
* **Settlex Gateway (`/gateway`)** for metered provider calls using your funded party balance

## Prerequisites

1. Make sure you have your Canton Wallet funded.
2. Create a user account via our **(`/api`)** endpoints.
3. Create a party once you have your user set up with us.
4. Once you get the partyId from step 3, transfer funds to this party, this will serve as your primary funding wallet for accessing all providers that we support.&#x20;
5. Create an api key (x-settlex-api-key) through our **(`/api`)** service and you are all set up.
6. You can query your balance through our **(`/api`)** service.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luganodes.com/apis/settlex-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
